## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate trust-dns-native-tls

Name:           rust-%{crate}
Version:        0.20.4
Release:        %autorelease
Summary:        Trust-DNS is a safe and secure DNS library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/trust-dns-native-tls
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Trust-DNS is a safe and secure DNS library. This is an extension for the Trust-
DNS client to use native-tls for TLS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip one test for which test data is missing from published crates
%cargo_test -- -- --skip tests::test_tls_client_stream_ipv4
%endif

%changelog
* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> 0.20.4-1
- Update to version 0.20.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue May 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.3-1
- Update to version 0.20.3.
- Fixes RHBZ#1951800

* Sun Mar 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.1-1
- Update to version 0.20.1.

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-1
- Update to version 0.20.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 22 2020 Fabio Valentini <decathorpe@gmail.com> - 0.19.6-1
- Update to version 0.19.6.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.19.5-1
- Update to 0.19.5

* Sun Apr 19 12:16:25 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.19.4-1
- Update to 0.19.4

* Fri Feb 28 16:57:22 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.19.3-1
- Update to 0.19.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 18:00:11 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Update to 0.18.0

* Sat Dec 14 15:19:39 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.18.0~alpha.2-1
- Update to 0.18.0~alpha.2

* Fri Dec 13 01:07:04 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Release 0.7.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 08:59:04 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Initial package

